Page MenuHomePhabricator

Collect Network​Information rtt and downlink
Closed, ResolvedPublic

Description

Ilya Grigorik told me during the w3c f2f meeting that effectiveConnectionType is simply derived from these 2 values. Since we've seen the limited usefulness of the fixed buckets in practice, it would be very useful to collect the underlying metrics.

Event Timeline

Gilles created this task.Jun 11 2019, 5:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 11 2019, 5:47 PM
Gilles triaged this task as Medium priority.Jun 11 2019, 5:47 PM

Change 517378 had a related patch set uploaded (by Gilles; owner: Gilles):
[mediawiki/extensions/NavigationTiming@master] Record NetworkInformation rtt and downlink

https://gerrit.wikimedia.org/r/517378

Gilles moved this task from Inbox to Doing on the Performance-Team board.Jun 17 2019, 8:06 PM

Change 517378 merged by jenkins-bot:
[mediawiki/extensions/NavigationTiming@master] Record NetworkInformation rtt and downlink

https://gerrit.wikimedia.org/r/517378

Gilles changed the task status from Open to Stalled.Aug 20 2019, 5:46 PM

I will look at this again once the change has been deployed via the train.

Gilles closed this task as Resolved.Sep 25 2019, 1:21 PM

This is working, we are collecting the data.